use youtube

create table if not exists recentlinks (
	`url` varchar(300) not null default '',
	`time` int(10) unsigned not null default '0',
	`last_epoch` int(10) not null default '-1',
	`last_views` int(10) not null default '-1',	
	`penult_epoch` int(10) not null default '-1',
	`penult_views` int(10) not null default '-1',	
	primary key `urllink` (`url`)
);

create table if not exists popularlinks (
	`url` varchar(300) not null default '',
	`time` int(10) unsigned not null default '0',
	`last_epoch` int(10) not null default '-1',
	`last_views` int(10) not null default '-1',	
	`penult_epoch` int(10) not null default '-1',
	`penult_views` int(10) not null default '-1',	
	primary key `urllink` (`url`)
);

create table if not exists fetchdata (
	`url` varchar(300) not null default '',
	`time` int(10) unsigned not null default '0',
	`category` varchar(100) not null default '',
	`ratings` int(3) not null default '-1',
	`numratings` int(10) not null default '-1',
	`views` int(10) not null default '-1',
	`comments` int(10) not null default '-1',
	`favorited` int(10) not null default '-1',
	`honors` int(10) not null default '-1',	
	`links` int(10) not null default '-1',
	`username` varchar(100) not null default '',
	`whenadded` varchar(50) not null default '',
	primary key `urltime` (`url`, `time`)
);


load data local infile '/home/networks/youtube/links' into table links;


load data local infile '/home/networks/youtube/log' into table fetchdata;