#!/usr/bin/perl

use HTML::Parser();
use Time::HiRes;

sub start {
    $in1 = shift @_;
    $in2 = shift @_;
    $in3 = shift @_;

    if ($startLink) {
	$enclosed++;
    }

    if ($in1 eq "div") {
	if (defined $$in2{"class"}) {
	    if ($$in2{"class"} =~ /video-thumb/) {
		$startLink = 1;
		$enclosed = 1;
	    }
	}
    }


    if ($in1 eq "a" && $startLink) {
	$hlink = $$in2{"href"};
	print "http://youtube.com", $hlink, "\t-1\t-1\t-1\t-1\n";
    }

}

sub texthandle {
}

sub end {
    if ($startLink) {
	$enclosed--;
	if ($enclosed == 0) {
	    $startLink = 0;
	}
    }
}

$url = $ARGV[0];
$startLink = 0;
($seconds, $microseconds) = Time::HiRes::gettimeofday;

$currtime = $seconds;

$p = HTML::Parser->new( api_version => 3,
                        start_h => [\&start, "tagname, attr, attrseq"],
                        end_h   => [\&end,   "tagname"],
                        text_h  => [\&texthandle, "dtext" ],
                        marked_sections => 1,
                        );


system("rm -f foo.html");
system("curl -s -k -o foo.html -m 30 \"" . $url . "\"");
open(INFILE, "foo.html");

while ($line = <INFILE>) {
    $p->parse($line);
}

