#!/usr/bin/perl

use HTML::Parser();
use Time::HiRes;

sub start {
    $in1 = shift @_;
    $in2 = shift @_;
    $in3 = shift @_;


    if ($in1 eq "strong") {
	if (defined $$in2{"id"}) {
	    if ($$in2{"id"} =~ /member-since/) {
		$startSub = 1;
	    }
	    if ($$in2{"id"} =~ /subscriber-count/) {
		$startCnt = 1;
	    }
	}
    }


}

sub texthandle {
    $in1 = shift @_;

    if ($startSub) {
	print $ARGV[0];
	if ($in1 =~ /2008/) {
	    print "\t0";
	} else {
	    if ($in1 =~ /2009/) {
		print "\t0";
	    } else {
		print "\t1";
	    }
	}
	print "\t\"", $in1, "\"";
    }

    if ($startCnt) {
	print "\t", $in1, "\n";
    }
}

sub end {
    $startSub = 0;
    $startCnt = 0;
}


$startSub = 0;
$startCnt = 0;

$url = "http://www.youtube.com/user/" . $ARGV[0];
($seconds, $microseconds) = Time::HiRes::gettimeofday;

$currtime = $seconds;

$p = HTML::Parser->new( api_version => 3,
                        start_h => [\&start, "tagname, attr, attrseq"],
                        end_h   => [\&end,   "tagname"],
                        text_h  => [\&texthandle, "dtext" ],
                        marked_sections => 1,
                        );


system("rm -f foo.html");
system("curl -s -k -o foo.html -m 30 \"" . $url . "\"");
open(INFILE, "foo.html");

while ($line = <INFILE>) {
    $p->parse($line);
}

